(En cours de redaction)
Chaque appel à l'API doit fournir les entêtes HTTP suivant :
Le service renvoie les codes HTTP suivants :
curl -X GET --location "https://VOTRESERVEUR.rosalog.com/up/storage/WorkType.json" \n-H "X-ORGANIZATION: VOTREENTREPRISE" \n-H "X-API-KEY: VOTRECLE"
curl -X POST --location "https://VOTRESERVEUR.rosalog.com/up/storage/Work.json" \n-H "X-ORGANIZATION: VOTREENTREPRISE" \n-H "X-API-KEY: VOTRECLE" \n-H "Content-Type:text/plain;charset=UTF-8" \n-d '[{"name" : "NOUV"}]'
curl -X POST --location "https://VOTRESERVEUR.rosalog.com/up/storage/Work.json" \n-H "X-ORGANIZATION: VOTREENTREPRISE" \n-H "X-API-KEY: VOTRECLE" \n-H "Content-Type:text/plain;charset=UTF-8" \n-d '[{"name" : "NOUV A1"}, {"name" : "NOUV A2"}, {"name" : "NOUV A3"}]'
curl -X PUT --location "https://VOTRESERVEUR.rosalog.com/up/storage/Work.json" \n-H "X-ORGANIZATION: VOTREENTREPRISE" \n-H "X-API-KEY: VOTRECLE" \n-H "Content-Type:text/plain;charset=UTF-8" \n-d '{"dataId" : "651c0db7fc192502ef700d0f", "name" : "YO"}'
curl -X PATCH --location "https://VOTRESERVEUR.rosalog.com/up/storage/Work.json" \n-H "X-ORGANIZATION: VOTREENTREPRISE" \n-H "X-API-KEY: VOTRECLE" \n-H "Content-Type:text/plain;charset=UTF-8" \n-d '{"dataId":"651c0db7fc192502ef700d0f", "comments":[{"comment": "Comm"}]}'
curl -X PATCH --location "https://VOTRESERVEUR.rosalog.com/up/storage/Work.json" \n-H "X-ORGANIZATION: VOTREENTREPRISE" \n-H "X-API-KEY: VOTRECLE" \n-H "Content-Type:text/plain;charset=UTF-8" \n-d '{"dataId":"651c0db7fc192502ef700d0f", "assignments":[{"resource_ref": "651c074dfaadd111b91822e1"}]}'
curl -X PUT --location "https://VOTRESERVEUR.rosalog.com/up/storage/Work.json" \n-H "X-ORGANIZATION: VOTREENTREPRISE" \n-H "X-API-KEY: VOTRECLE" \n-H "Content-Type:text/plain;charset=UTF-8" \n-d '{"dataId":"651c0db7fc192502ef700d0f", "assignments":null}'
curl -X PUT --location "https://VOTRESERVEUR.rosalog.com/up/storage/Work.json" \n-H "X-ORGANIZATION: VOTREENTREPRISE" \n-H "X-API-KEY: VOTRECLE" \n-H "Content-Type:text/plain;charset=UTF-8" \n-d '{"dataId":"651c0db7fc192502ef700d0f", "intervals":null}'
WORK_DATA_ID=123456789
curl -X PUT --location "https://VOTRESERVEUR.rosalog.com/up/storage/Work.json" \n-H "X-ORGANIZATION: VOTREENTREPRISE" \n-H "X-API-KEY: VOTRECLE" \n-H "Content-Type:text/plain;charset=UTF-8" \n-d '{"dataId":"'$WORK_DATA_ID'", "intervals":null, "assignments":null}'
CUSTOMER_DATA_ID=123456789
curl -X POST --location "https://VOTRESERVEUR.rosalog.com/up/storage/Work.json" \n-H "X-ORGANIZATION: VOTREENTREPRISE" \n-H "X-API-KEY: VOTRECLE" \n-H "Content-Type:text/plain;charset=UTF-8" \n-d '[{"name" : "Pour mon client", "customer":'$CUSTOMER_DATA_ID'}]'
curl -X GET --location "https://VOTRESERVEUR.rosalog.com/up/planning/planningService/programmedWorks/2024-06-19/2024-06-25/" \n-H "X-ORGANIZATION: VOTREENTREPRISE" \n-H "X-API-KEY: VOTRECLE" \n-H "Content-Type:text/plain;charset=UTF-8"
curl -X GET --location "https://VOTRESERVEUR.rosalog.com/up/planning/planningService/programmedWorks/2024-06-19/2024-06-25/665d708d4c27574b85df9382,665d708d4c27574b85df937e" \n-H "X-ORGANIZATION: VOTREENTREPRISE" \n-H "X-API-KEY: VOTRECLE" \n-H "Content-Type:text/plain;charset=UTF-8"
curl -X GET --location "https://VOTRESERVEUR.rosalog.com/up/planning/planningService/worksToProgram/2024-06-19/2024-06-25/" \n-H "X-ORGANIZATION: VOTREENTREPRISE" \n-H "X-API-KEY: VOTRECLE" \n-H "Content-Type:text/plain;charset=UTF-8"